#include "hilKAnom/hilKAnom.h"


int main(int argc, char** argv){
	
	if (argc!=3) {
		cout << "Usage: " << argv[0] << " [microdata] [K]" << endl;
		cout << "K is anonymity requirement" << endl;
		exit(-1);
    }
	int K = atoi(argv[2]);

	HilKAnom* hilk = new HilKAnom(argv[1]);
	
	vector<group> groups = hilk->getGroups(K);
	
//	vector<group>::iterator iter;
//	for (iter=groups.begin(); iter!=groups.end(); iter++){
//		cout << &(*iter) << endl;
//	}
	
	float* sizeWorld = hilk->getSizeWorld();
	calculateMetrics(groups, sizeWorld);
	delete[] sizeWorld;
	groups.clear();
	
}

