#include "kdtree.h"

#include <fstream>

using namespace std;

int main(int argc, char** argv){
	
	if (argc!=4) {
		cout << "Usage: " << argv[0] << " [microdata] [K] [bOutFile]" << endl;
		cout << "K is anonymity requirement" << endl;
		cout << "if bOutFile is 1 the groups will be output" << endl;
		exit(-1);
    }
    int K = atoi(argv[2]);
    
    
    bool bOutFile = (atoi(argv[3]) >0);


	KDTreePtr tree = new KDTree(argv[1], K, bOutFile);
	
	tree->printMetrics();
	
}
